# TriggerFileEntry Struct Reference
[RPMBUILD.]

`#include <rpmspec.h>`

## Data Fields

int | index
char * | fileName
char * | script
char * | prog
TriggerFileEntry * | next

## Detailed Description

Definition at line 15 of file rpmspec.h.

## Field Documentation

int TriggerFileEntry::index

Definition at line 16 of file rpmspec.h.

Referenced by addTriggerIndex().

char* TriggerFileEntry::fileName

Definition at line 17 of file rpmspec.h.

Referenced by freeTriggerFiles(), and processScriptFiles().

char* TriggerFileEntry::script

Definition at line 18 of file rpmspec.h.

Referenced by freeTriggerFiles(), and processScriptFiles().

char* TriggerFileEntry::prog

Definition at line 19 of file rpmspec.h.

Referenced by freeTriggerFiles(), and processScriptFiles().

struct TriggerFileEntry* TriggerFileEntry::next `[read]`

Definition at line 20 of file rpmspec.h.

Referenced by addTriggerIndex(), freeTriggerFiles(), and processScriptFiles().

The documentation for this struct was generated from the following file:

- build/rpmspec.h